org.keycloak.federation.ldap.idm.store

## Interface IdentityStore

- All Known Implementing Classes:
    LDAPIdentityStore

      public interface IdentityStore

  IdentityStore representation providing minimal SPI TODO: Rather remove this abstraction
  Author:
    Boleslaw Dawidowicz, Shane Bryzak

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `add(LDAPObject ldapObject)` Persists the specified IdentityType
    `int` | `countQueryResults(LDAPQuery LDAPQuery)`
    `List<LDAPObject>` | `fetchQueryResults(LDAPQuery LDAPQuery)`
    `LDAPConfig` | `getConfig()` Returns the configuration for this IdentityStore instance
    `void` | `remove(LDAPObject ldapObject)` Removes the specified IdentityType
    `void` | `update(LDAPObject ldapObject)` Updates the specified IdentityType
    `void` | `updatePassword(LDAPObject user, String password)` Updates the specified credential value.
    `void` | `validatePassword(LDAPObject user, String password)` Validates the specified credentials.

- - ### Method Detail

    - #### getConfig

          LDAPConfig getConfig()

      Returns the configuration for this IdentityStore instance
      Returns:

    - #### add

          void add(LDAPObject ldapObject)

      Persists the specified IdentityType
      Parameters:
        `ldapObject` -

    - #### update

          void update(LDAPObject ldapObject)

      Updates the specified IdentityType
      Parameters:
        `ldapObject` -

    - #### remove

          void remove(LDAPObject ldapObject)

      Removes the specified IdentityType
      Parameters:
        `ldapObject` -

    - #### fetchQueryResults

          List<LDAPObject> fetchQueryResults(LDAPQuery LDAPQuery)

    - #### countQueryResults

          int countQueryResults(LDAPQuery LDAPQuery)

    - #### validatePassword

          void validatePassword(LDAPObject user,
                                String password)
                         throws AuthenticationException

      Validates the specified credentials.
      Parameters:
        `user` - Keycloak user
        `password` - Ldap password
      Throws:
        `AuthenticationException` - if authentication is not successful

    - #### updatePassword

          void updatePassword(LDAPObject user,
                              String password)

      Updates the specified credential value.
      Parameters:
        `user` - Keycloak user
        `password` - Ldap password

Copyright © 2016 JBoss by Red Hat. All rights reserved.